Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79422 - NMI lockup
Summary: NMI lockup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2002-12-11 16:02 UTC by Tim Waugh
Modified: 2008-08-01 16:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:17 UTC


Attachments (Terms of Use)

Description Tim Waugh 2002-12-11 16:02:34 UTC
Description of Problem:
Machine locks up completely.  It's just running X (XDMCP; all applications are
running on a different machine).

Version-Release number of selected component (if applicable):
kernel-2.4.20-0.pp.3

How Reproducible:
Happens often enough to be very irritating.

This is a dual processor Dell Precision 420.

Comment 1 Tim Waugh 2002-12-12 11:05:50 UTC
Backtrace from 2.4.19-0.pp.18 with nmi_watchdog (but the problem still happens):

NMI Watchdog detected LOCKUP on CPU0, eip c0108667, registers:
parport_serial parport_pc lp parport autofs nfs lockd sunrpc 3c59x
iptable_filter ip_tables ide-scsi scsi_mod ide-cd cdrom loop lvm-mod printer
mousedev keybd
CPU:    0
EIP:    0060:[<c0108667>]    Not tainted
EFLAGS: 00003097

EIP is at __read_lock_failed [kernel] 0x3 (2.4.19-0.pp.18smp)
eax: c03e9c80   ebx: cda9cb10   ecx: 0000005f   edx: 00000556
esi: cd656c7c   edi: 00020001   ebp: 00020001   esp: cd061e68
ds: 0068   es: 0068   ss: 0068
Process X (pid: 1366, stackpage=cd061000)
Stack: c0161c56 cd060000 00003203 00000000 c0364de0 cda9cb10 0000001d 00020001
       cd061f30 c0161b96 cd656c7c 00000009 00020001 000000ff 0000270f 00000000
       c0161bf0 cda9cb10 0000001d 00020001 c01c9833 c1ab5014 0000001d 00020001
Call Trace:   [<c0161c56>] .text.lock.fcntl [kernel] 0x5b (0xcd061e68))
[<c0161b96>] __kill_fasync [kernel] 0x46 (0xcd061e8c))
[<c0161bf0>] kill_fasync [kernel] 0x30 (0xcd061ea8))
[<c01c9833>] handle_mouse_event [kernel] 0x83 (0xcd061eb8))
[<c01c8c6d>] handle_kbd_event [kernel] 0x3d (0xcd061ecc))
[<c01c8d0c>] keyboard_interrupt [kernel] 0x1c (0xcd061ee4))
[<c010b489>] handle_IRQ_event [kernel] 0x69 (0xcd061ee8))
[<c010b6b9>] do_IRQ [kernel] 0xa9 (0xcd061f08))
[<c010e288>] call_do_IRQ [kernel] 0x5 (0xcd061f2c))
[<c011d549>] sched_exit [kernel] 0x29 (0xcd061f58))
[<c0125381>] release_task [kernel] 0x121 (0xcd061f6c))
[<c01265ab>] sys_wait4 [kernel] 0x3db (0xcd061f7c))
[<c0109a8f>] system_call [kernel] 0x33 (0xcd061fc0))


Code: f3 90 83 38 01 78 f9 f0 ff 08 0f 88 ed ff ff ff c3 80 3d 30
 <0>Kernel panic: Aiee, killing interrupt handler!
In interrupt handler - not syncing
 NMI Watchdog detected LOCKUP on CPU1, eip c0108653, registers:
parport_serial parport_pc lp parport autofs nfs lockd sunrpc 3c59x
iptable_filter ip_tables ide-scsi scsi_mod ide-cd cdrom loop lvm-mod printer
mousedev keybd
CPU:    1
EIP:    0060:[<c0108653>]    Not tainted
EFLAGS: 00000087

EIP is at __write_lock_failed [kernel] 0xf (2.4.19-0.pp.18smp)
eax: c03e9c80   ebx: 00000000   ecx: 00000000   edx: 00000029
esi: c1afc220   edi: cb934000   ebp: 00000000   esp: cb935f84
ds: 0068   es: 0068   ss: 0068
Process gs (pid: 1437, stackpage=cb935000)
Stack: c0126c62 c0167120 c197c7e0 c197c7e0 00000000 c1afc220 c0125f96 c1b01dd8
       c197c7e0 cb934000 42122ee4 00000000 bffffb98 c0126003 00000000 c0109a8f
       00000000 00000000 00000000 42122ee4 00000000 bffffb98 00000001 c010002b
Call Trace:   [<c0126c62>] .text.lock.exit [kernel] 0x57 (0xcb935f84))
[<c0167120>] dput [kernel] 0x30 (0xcb935f88))
[<c0125f96>] do_exit [kernel] 0x256 (0xcb935f9c))
[<c0126003>] sys_exit [kernel] 0x13 (0xcb935fb8))
[<c0109a8f>] system_call [kernel] 0x33 (0xcb935fc0))
                                                                                
                      
Code: 75 f6 f0 81 28 00 00 00 01 0f 85 e2 ff ff ff c3 90 f0 ff 00


Comment 2 Tim Waugh 2004-07-26 15:47:51 UTC
I no longer have access to this machine.

Comment 3 Bugzilla owner 2004-09-30 15:40:17 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.